Subject: Re: ibm_newemac tx problem with jumbo frame enabled

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 25 Nov 2011 16:25:27 +1100

On Fri, 2011-11-18 at 10:33 +0530, Prashant Bhole wrote:
> Hi,
> I have been facing problem with ibm_newemac driver (v3.54).
> The board gets disconnected and can not be pinged in between
> some heavy network traffic. In my case I am running IOmeter
> "All-in-One" 8 threads on the iSCSI target. MTU is 4088.
> 
> I found that after executing emac_full_tx_reset(), the board can
> be pinged again. Again after some heavy traffic of 5-6 seconds,
> traffic stops. This can be repeated after full tx reset.
> 
> Is this a known issue? what could cause this?
> Any pointers would be greatly appreciated.

Not that I know of. Can you check if any of the error reporting
registers trip anything ? Could it just be a fifo overflow which we may
not be handling properly in the driver ?

Cheers,
Ben.